/etc/rc.local Linux 开机自启动项 nginx php mysql redis memcache mongodb rsync iptables cornd mount monit

cat /etc/rc.local

setenforce 0
service iptables start
service crond restart

service mysql start

mount -t tmpfs -o size=256m tmpfs /mnt/tmp
\cp -r /usr/local/nginx/ssl /mnt/tmp/
/usr/local/redis/redis-server &
nginx
/usr/local/php5.3/sbin/php-fpm

/usr/local/mongodb/bin/mongod –dbpath=/usr/local/mongodb/data/ &
/usr/bin/memcached -d -m 512 -p 11211 -u root

/usr/local/redis/redis-server /usr/local/redis/redis.conf &
/usr/bin/rsync –daemon –config=/etc/rsyncd.conf &
/usr/local/bin/monit -Ic /etc/monitrc &

#lsyncd /batch/sync.lua &

#sleep 10 && /usr/local/amoeba/bin/launcher &
#sh /etc/rc.local.sh

ln -s /var/lib/mysql/mysql.sock /tmp/mysql.sock
ulimit -HSn 65536

———————————

nginx ssl 配置 80端口自动转发到443 ssl

server {

    listen 80;

    listen 443 ssl;

    if ($server_port = 80) {

         rewrite ^http://$host https://$host permanent;

         rewrite ^(.*)$ https://$host$1 permanent;

    }

    ssl_certificate /mnt/tmp/ssl/certs/star_we3ew_com.pem;

    ssl_certificate_key /mnt/tmp/ssl/certs/we3ew.key;

    ssl_session_timeout 2m;

    ssl_protocols SSLv3 TLSv1 TLSv1.1 TLSv1.2;

    ssl_ciphers HIGH:!aNULL:!MD5;

····

}

———————————

server {

  listen 443;

  server_name we3ew.com ;

  ssl on;

  ssl_certificate /etc/nginx/ssl/whs.pem;

  ssl_certificate_key /etc/nginx/ssl/whs.key;

  ssl_session_timeout 5m;

  ssl_protocols SSLv3 TLSv1;

  ssl_ciphers HIGH:!ADH:!MD5;

  ssl_prefer_server_ciphers on;

  location / {

    proxy_pass https://192.168.1.20:443;

    proxy_set_header host xxx.homeserver.com;

  }

}

PHP所有版本

Unsupported Historical Releases

We have collected all the official information and code available for past PHP releases. You can find more details on the current release on our downloads page. Please note that older releases are listed for archival purposes only, and they are no longer supported.

Note to Windows users: Only PHP 5.3+ versions are available as both VC6 and VC9 builds. All versions prior were built using VC6.

5.5.9

5.5.8

5.5.7

5.5.6

5.5.5

5.5.4

5.5.3

5.5.2

5.5.1

5.5.0

5.4.25

5.4.24

5.4.23

5.4.22

5.4.21

5.4.20

5.4.19

5.4.18

5.4.17

5.4.16

5.4.15

5.4.14

5.4.13

5.4.12

5.4.11

5.4.10

5.4.9

5.4.8

5.4.7

5.4.6

5.4.5

5.4.4

5.4.3

5.4.2

5.4.1

5.4.0

5.3.27

5.3.26

5.3.25

5.3.24

5.3.23

5.3.22

5.3.21

5.3.20

5.3.19

5.3.18

5.3.17

5.3.16

5.3.15

5.3.14

5.3.13

5.3.12

5.3.11

5.3.10

5.3.9

5.3.8

5.3.7

5.3.6

5.3.5

5.3.4

5.2.17

5.2.16

5.2.15

5.3.3

5.2.14

5.3.2

5.2.13

5.3.1

5.2.12

5.2.11

5.3.0

5.2.10

5.2.9

5.2.8

5.2.6

5.2.5

5.2.4

5.2.3

5.2.2

5.2.1

5.2.0

5.1.6

5.1.5

5.1.4

5.1.3

5.1.2

5.1.1

5.1.0

5.0.5

5.0.4

5.0.3

5.0.2

5.0.1

5.0.0


Support for PHP 4 has been discontinued since 2007-12-31. Please consider upgrading to PHP 5.

4.4.9

4.4.8

4.4.7

4.4.6

4.4.5

4.4.4

4.4.3

4.4.2

4.4.1

4.4.0

4.3.11

4.3.10

4.3.9

4.3.8

4.3.7

4.3.6

4.3.5

4.3.4

4.3.3

4.3.2

4.3.1

4.3.0

4.2.3

4.2.2

4.2.1

4.2.0

4.1.2

4.1.1

4.1.0

4.0.6

4.0.5

4.0.4

4.0.3

4.0.2

4.0.1

4.0.0


3.0.x